using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace AJAXCore.Models {
  public class Country {
    //[DatabaseGenerated(DatabaseGeneratedOption.Identity)]
    [Key]
    [Column(TypeName = "char(2)")]
    [StringLength(2)]
    public string Code { get; set; }

    [Required]
    [Column(TypeName = "varchar(128)")]
    [StringLength(128)]
    public string Name { get; set; }
  }
}
